2019-09-23 09:39 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000012QElectroTechElement Editorpublic2008-05-26 20:02
Reporterxavier 
Assigned Toxavier 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformX11OSGNU/LinuxOS Versionlatest
Product Version0.1 
Target Version0.1Fixed in Version0.1 
Summary0000012: QET segfaulte dès le démarrage en l'absence d'un systray
DescriptionSous XFCE configuré sans systray, lancer QET résulte sur en une segfault.
Bug rapporté par `david666' le 11/05/2008 à 19h10 sur irc://irc.tuxfamily.org/qet
Steps To ReproduceLe bug peut également être reproduit sous KDE en enlevant l'applet "Boîte à miniatures".
Additional InformationBacktrace obtenu :
Program terminated with signal 11, Segmentation fault.
#0 QWidget::actions (this=0xbf9eafc8) at ../../include/QtCore/../../src/corelib/arch/qatomic_i386.h:90
0000001 0xb7c52f19 in QMenu::clear (this=0xbf9eafc8) at widgets/qmenu.cpp:1516
0000002 0x080bb687 in QETApp::buildSystemTrayMenu ()
0000003 0x080c04f7 in QETApp::QETApp ()
0000004 0x080af1b2 in main ()
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000014

xavier (reporter)

Last edited: 2008-05-11 20:20

Bug corrigé dans le dépôt Subversion à partir de la révision 322 (2008-05-11 20:05).

Workaround : configurer votre environnement de bureau pour lui ajouter un systray.

Quick Patch : Supprimer les lignes 76 et 112 dans le fichier qetapp.cpp

TODO :
-Éventuelle bugfix release (0.11) ?
-Ajout d'une entrée dans la FAQ

+Notes

-Issue History
Date Modified Username Field Change
2008-05-11 20:14 xavier New Issue
2008-05-11 20:14 xavier Status new => assigned
2008-05-11 20:14 xavier Assigned To => xavier
2008-05-11 20:18 xavier Note Added: 0000014
2008-05-11 20:20 xavier Note Edited: 0000014
2008-05-11 20:22 xavier Status assigned => resolved
2008-05-11 20:22 xavier Fixed in Version => 0.1
2008-05-11 20:22 xavier Resolution open => fixed
2008-05-26 20:02 xavier Status resolved => closed
2013-06-09 14:06 scorpio810 Category Éditeur d'éléments => Symbol editor
2013-06-09 14:11 scorpio810 Category Symbol editor => Element Editor
+Issue History